Skip to navigation

Get workflow definition for template

View as Markdown

Returns the workflow definition for the template specified by templateId. If the template does not have a workflow object, this method returns a 404.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

templateIdstringRequired
The ID of the template.

Response

Successful response.
currentWorkflowStepIdstringOptional

The workflowStepId of the current step. This is not an index into the workflowSteps array in this object. See the workflowStep object.

overwriteUpdateModestringOptional
resumeDatestringOptional

The ISO 8601 timestamp of when the envelope is scheduled to be sent, if applicable. Its value is the maximum of the resumeDate property on scheduledSending and the resumeDate property on the current workflowStep.

This property is read-only.

scheduledSendingobjectOptional
A complex element that specifies the scheduled sending settings for the envelope.
workflowStatusstringOptional

The status of the workflow:

  • paused if the workflow is paused
  • in_progress if the workflow is in progress
workflowStepslist of objectsOptional
An array of workflow steps.

Errors

400
Bad Request Error